#SiamDW_LT - VOT2019LT

If you failed to install and run this tracker, please email me (v-had@microsoft.com).

## Prerequisites
### Install python packages
The python version should be 3.6.x, if not please run,
```
conda install -y python=3.6
```

and then run,
```
bash install.sh
```

### Download pretrained model
Download models from [model1](https://drive.google.com/file/d/1Sj4QjjMZy91-gqBdC7jDtDV0mEZM0_24/view?usp=sharing), [model2](https://drive.google.com/file/d/19Io6kr_hBOvUfbMPyBWO5yac7ksbTX7h/view?usp=sharing), [model3](https://drive.google.com/file/d/1nEQ753c-pBGocnGybZ0AX4nXDWn1n3V-/view?usp=sharing) and [model4](https://drive.google.com/file/d/1e5biIHBRoiwTcqQ2xXQY-iY9mzE6v7wi/view?usp=sharing). Then put these models to `path_to_code/SiamDW_LT/ltr/networks`.

## Run tracker
### modify path
- In the 13th row of `SiamDW_LT/star_tracking/vot.py`, please change `path_to_toolkit` in `sys.path.append('path_to_toolkit/native/trax/support/python')` to your local vot-toolkit path. Or else it may report wrong information about trax import.

- Copy `tracker_SiamDW_LT.m` to your longterm workspace and  set `path_to_code` in the 3th row to your local path where `python_SiamDW_LT.py` is saved in. eg. `/data/home/had/SiamDW_LT/star_tracking`

- Add trax link in `tracker_SiamDW_LT.m`. Change `path_to_toolkit` in 8th row to your local vot-toolkit folder. eg.
```
tracker_linkpath = {'/data/home/had/vot-toolkit/native/trax/build', '/data/home/had/vot-toolkit/native/trax/include'};
```

- Add `set_global_variable('trax_timeout', 10000000000);` to `configuration.m` in case unexpected time-connection error.

### run tracker
In your workspace, run
```
run_experiments.m
```


#### Attention !!!
I found the toolkit sometime break without any wrong information. It may caused by time-connection
error or `tmux` (although a large threshold has been set in configuration.m). If this happend, you should re-run `run_experiments.m`. 


